# &#x20;Single Feed

{% hint style="info" %}
Make **GET** request on this endpoint to get rows with required parameters(if any required).
{% endhint %}

## Single Feed

```javascript
https://instagram.tabriel.com/v1/<tabriel_username>/<api_key>/single?id=<media_id>
```

## Usage

<mark style="color:blue;">`GET`</mark> `https://instagram.tabriel.com/v1/<tabriel_username>/<api_key>/single?id=<media_id>`

#### Path Parameters

| Name                                 | Type    | Description |
| ------------------------------------ | ------- | ----------- |
| id<mark style="color:red;">\*</mark> | integer | media id    |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "id": "17990415805770935",
  "media_type": "VIDEO",
  "permalink": "https://www.instagram.com/reel/CodOpJQILLn/",
  "media_url": "https://video.cdninstagram.com/o1/v/t16/f1/m82/8B4CAAB22CBAD8D1844D2DA3D2CD578D_video_dashinit.mp4?efg=eyJ2ZW5jb2RlX3RhZyI6InZ0c192b2RfdXJsZ2VuLjQ4MC5jbGlwcyJ9&_nc_ht=video.cdninstagram.com&_nc_cat=102&vs=540898354521601_771846862&_nc_vs=HBkcFQIYT2lnX3hwdl9yZWVsc19wZXJtYW5lbnRfcHJvZC84QjRDQUFCMjJDQkFEOEQxODQ0RDJEQTNEMkNENTc4RF92aWRlb19kYXNoaW5pdC5tcDQVAALIAQAoABgAGwGIB3VzZV9vaWwBMRUAACbcnurZocnvPxUCKAJDMywXQC0AAAAAAAAYEmRhc2hfYmFzZWxpbmVfMl92MREAdQAA&ccb=9-4&oh=00_AfDRg4Fj59AFs7GAh_AxWZFkEK3_DCnZlXHDeyQmixL8Xw&oe=63F0AB4F&_nc_sid=ea0b6e&_nc_rid=4b5e33ea0d",
  "username": "sominecim",
  "timestamp": "2023-02-09T21:27:21+0000"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="429: Too Many Requests Too Many Requests - Rate limiting has been applied." %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
  "message": "Request failed with status code 500"
}
```

{% endtab %}
{% endtabs %}

## Code Examples

{% tabs %}
{% tab title="Javascript" %}

```javascript
var myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
var requestOptions = {
    method: "get",
    headers: myHeaders,
    redirect: "follow",
    
};

fetch("https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/single?id=17990415805770935", requestOptions)
    .then(response => response.text())
    .then(result => console.log(result))
    .catch(error => console.log('error', error));
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/single?id=17990415805770935', 
    params: {},
}).then(function (response) {
        // handle success
        console.log(response.data);
}).catch(function (error) {
        // handle error
        console.log(error);
})
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/single?id=17990415805770935"
params = {}
r = requests.get(url = url, params = params)
result = r.json()
print(result)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
    CURLOPT_URL => "https://instagram.tabriel.com/tabriel_test_user/KSkbx9VKBkfzu6hjOwHwznF7NBg9R4G00Di2RNS0/single?id=17990415805770935",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_POSTFIELDS =>'{}',
    CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
    ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tabriel.com/welcome/reference/instagram/single-feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
